Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# OS_NS_sys_resource.h File Reference

`#include "ace/config-all.h"`
`#include "ace/os_include/sys/os_resource.h"`
`#include "ace/ACE_export.h"`
`#include "ace/OS_NS_sys_resource.inl"`

Include dependency graph for OS_NS_sys_resource.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | ACE_OS
## Defines
#define | ACE_EXPORT_MACRO ACE_Export
#define | ACE_INLINE inline
## Functions
ACE_NAMESPACE_INLINE_FUNCTION int | getrlimit (int resource, struct rlimit *rl)
ACE_NAMESPACE_INLINE_FUNCTION int | getrusage (int who, struct rusage *rusage)
ACE_NAMESPACE_INLINE_FUNCTION int | setrlimit (int resource, const struct rlimit *rl)

## Detailed Description

Id
  OS_NS_sys_resource.h,v 1.5 2005/10/28 16:14:54 ossama Exp

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>

  Jesper S. M|ller<stophph@diku.dk>

  and a cast of thousands...

Originally in OS.h.

## Define Documentation

#define ACE_EXPORT_MACRO ACE_Export

#define ACE_INLINE inline

## Function Documentation

ACE_BEGIN_VERSIONED_NAMESPACE_DECL ACE_INLINE int ACE_OS::getrlimit | ( | int | resource,
|  | struct rlimit * | rl
| ) |

ACE_INLINE int ACE_OS::getrusage | ( | int | who,
|  | struct rusage * | rusage
| ) |

ACE_INLINE int ACE_OS::setrlimit | ( | int | resource,
|  | const struct rlimit * | rl
| ) |